cURL
curl --request GET \ --url https://api-{region}.sesametime.com/schedule/v1/employees/{employeeId}/entity-schedule-templates \ --header 'Authorization: Bearer <token>'
{ "data": [ { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "createdAt": "<string>", "current": true, "entityId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "entityType": "employee", "startDate": "2025-01-01", "endDate": "2025-12-31", "scheduleTemplateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "scheduleTemplate": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>", "createdAt": "<string>" } } ], "meta": { "currentPage": 1, "lastPage": 1, "total": 1, "perPage": 1 } }
List all entity schedule templates assigned to an employee
Documentation IndexFetch the complete documentation index at: https://apidocs.sesametime.com/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://apidocs.sesametime.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Employee ID
List of entity to schedule templates
Show child attributes
Was this page helpful?
Suggestions